RPC_CLONE_CLIENT_SET(9)

NAME
rpc_clone_client_set_auth - Clone an RPC client structure and set its auth

SYNOPSIS

struct rpc_clnt * rpc_clone_client_set_auth(struct rpc_clnt * clnt, rpc_authflavor_t flavor);

ARGUMENTS

clnt
    RPC client whose parameters are copied

flavor
    security flavor for new client

DESCRIPTION

Returns a fresh RPC client or an ERR_PTR.

COPYRIGHT